Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/PasteFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/PasteFile.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/PasteFile.java	(revision 513)
@@ -39,7 +39,7 @@
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.utils.IOClipboard;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
@@ -80,9 +80,9 @@
 				}
 				try {
 					if (!org.txm.utils.io.FileCopy.copy(source, dest))
-						System.out.println(Messages.PasteFile_1+source+Messages.ApplicationWorkbenchAdvisor_37+dest);
+						System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest);
 				} catch (IOException e) {
-					System.out.println(Messages.PasteFile_1+source+Messages.ApplicationWorkbenchAdvisor_37+dest+Messages.PasteFile_4+e);
+					System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest+RCPMessages.PasteFile_4+e);
 				}
 			} else if (CutFile.toCut != null) {
 				File source = CutFile.toCut;
@@ -93,12 +93,12 @@
 				}
 				try {
 					if (!org.txm.utils.io.FileCopy.copy(source, dest))
-						System.out.println(Messages.PasteFile_1+source+Messages.ApplicationWorkbenchAdvisor_37+dest);
+						System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest);
 					if (!source.delete()) 
-						System.out.println(Messages.PasteFile_3+source);
+						System.out.println(RCPMessages.PasteFile_3+source);
 					CutFile.toCut = null;
 				} catch (IOException e) {
-					System.out.println(Messages.PasteFile_1+source+Messages.ApplicationWorkbenchAdvisor_37+dest+Messages.PasteFile_4+e);
+					System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest+RCPMessages.PasteFile_4+e);
 				}
 			} else {
 				// check clipboard content
@@ -117,11 +117,11 @@
 							org.txm.utils.io.FileCopy.copyFiles(source, dest);
 						} else {
 							if (!org.txm.utils.io.FileCopy.copy(source, dest))
-								System.out.println(Messages.PasteFile_1+source+Messages.ApplicationWorkbenchAdvisor_37+dest);
+								System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest);
 						}
 						
 					} catch (IOException e) {
-						System.out.println(Messages.PasteFile_1+source+Messages.ApplicationWorkbenchAdvisor_37+dest+Messages.PasteFile_4+e);
+						System.out.println(RCPMessages.PasteFile_1+source+RCPMessages.ApplicationWorkbenchAdvisor_37+dest+RCPMessages.PasteFile_4+e);
 					}
 				}
 			}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteImportScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteImportScript.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteImportScript.java	(revision 513)
@@ -57,7 +57,7 @@
 import org.txm.objects.Base;
 import org.txm.objects.BaseParameters;
 import org.txm.rcp.Application;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.workspace.LoadBinaryCorpus;
 import org.txm.rcp.utils.GSERunner;
@@ -139,20 +139,20 @@
 
 		// We could not found the script in the Toolbox plugin files
 		if (!script.exists()) {
-			System.err.println(NLS.bind(Messages.ExecuteScriptImport_1, scriptFilePath));
+			System.err.println(NLS.bind(RCPMessages.ExecuteScriptImport_1, scriptFilePath));
 			return null;
 		}
 
 		Display.getDefault().syncExec(new Runnable() {
-			public void run() {	StatusLine.setMessage(Messages.ExecuteScriptImport_0); }
+			public void run() {	StatusLine.setMessage(RCPMessages.ExecuteScriptImport_0); }
 		});
 
 		final String txmhome = Toolbox.getParam(TBXPreferences.USER_TXM_HOME);
 		final File corporadir = new File(txmhome,"corpora"); //$NON-NLS-1$
 		corporadir.mkdir(); // the binary corpus are stored here
 		if (!corporadir.exists()) {
-			System.out.println(Messages.ExecuteScriptImport_2+corporadir);
-			Log.severe(Messages.ExecuteScriptImport_2+corporadir);
+			System.out.println(RCPMessages.ExecuteScriptImport_2+corporadir);
+			Log.severe(RCPMessages.ExecuteScriptImport_2+corporadir);
 			return null;
 		}
 
@@ -185,7 +185,7 @@
 		if (!updatingCorpus) { 
 			if (basedir.exists()) {
 				Shell shell = new Shell(); // ask user if he's sure
-				boolean b = MessageDialog.openConfirm(shell, Messages.AddBase_19, NLS.bind(Messages.AddBase_20, basedir.getName().toUpperCase()));
+				boolean b = MessageDialog.openConfirm(shell, RCPMessages.AddBase_19, NLS.bind(RCPMessages.AddBase_20, basedir.getName().toUpperCase()));
 				if (b) {
 					// shutdown TBX (and cwb) to free index files
 					Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
@@ -196,14 +196,14 @@
 				}
 			}
 			if (basedir.exists()) {
-				System.out.println(Messages.bind(Messages.ExecuteScriptImport_3, basedir));
+				System.out.println(RCPMessages.bind(RCPMessages.ExecuteScriptImport_3, basedir));
 				return null;
 			}
 		}
 		
 		if (CQPEngine.isInitialized()) Toolbox.getEngineManager(EngineType.SEARCH).stopEngines();
 		final BaseParameters p = params;
-		JobHandler jobhandler = new JobHandler(Messages.RunGroovyScript_0
+		JobHandler jobhandler = new JobHandler(RCPMessages.RunGroovyScript_0
 				+ script.getAbsolutePath()) { //$NON-NLS-1$
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -211,7 +211,7 @@
 				Base base = null;
 				try {
 					//this.setCurrentMonitor(monitor);
-					monitor.beginTask(Messages.RunGroovyScript_10 + p.rootDir, 100); //$NON-NLS-1$
+					monitor.beginTask(RCPMessages.RunGroovyScript_10 + p.rootDir, 100); //$NON-NLS-1$
 
 					//org.txm.Toolbox.shutdownSearchEngine();
 					monitor.worked(5);
@@ -232,7 +232,7 @@
 					Element tokenizerElement = p.getTokenizerElement(corpusElem);
 					TokenizerClasses.reset();
 					if (!TokenizerClasses.loadFromNode(tokenizerElement)) {
-						System.out.println(Messages.ExecuteScriptImport_5);
+						System.out.println(RCPMessages.ExecuteScriptImport_5);
 						monitor.done();
 						if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 						if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
@@ -240,9 +240,9 @@
 					}
 
 					ExecTimer.start();
-					Log.info(Messages.RunGroovyScript_0 + script.getAbsolutePath()); //$NON-NLS-1$
+					Log.info(RCPMessages.RunGroovyScript_0 + script.getAbsolutePath()); //$NON-NLS-1$
 					gse.run(script.getName(), binding); // run the groovy import script
-					System.out.println("\n"+Messages.ExecuteScriptImport_7+ExecTimer.stop()); //$NON-NLS-1$
+					System.out.println("\n"+RCPMessages.ExecuteScriptImport_7+ExecTimer.stop()); //$NON-NLS-1$
 					monitor.worked(90);
 					
 					TokenizerClasses.reset();
@@ -254,7 +254,7 @@
 						if (readyToLoad) {
 							base = LoadBinaryCorpus.loadBinaryCorpus(basedir);
 							if (base == null) {
-								System.out.println(Messages.ExecuteScriptImport_8);
+								System.out.println(RCPMessages.ExecuteScriptImport_8);
 								if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 								if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
 								return Status.CANCEL_STATUS;
@@ -271,15 +271,15 @@
 								public void run() {
 									RestartTXM.reloadViews();
 									CorporaView.select(base2.getResults(MainCorpus.class));
-									System.out.println(Messages.AddBase_10);
-									StatusLine.setMessage(Messages.AddBase_10);
+									System.out.println(RCPMessages.AddBase_10);
+									StatusLine.setMessage(RCPMessages.AddBase_10);
 								}
 							});
 							this.releaseSemaphore();
 
 							DeleteDir.deleteDirectory(tempBinDirectory);
 						} else {
-							System.out.println(Messages.ExecuteScriptImport_6);
+							System.out.println(RCPMessages.ExecuteScriptImport_6);
 							if (basedir.exists()) basedir.renameTo(errorBinDirectory);
 							if (tempBinDirectory.exists()) tempBinDirectory.renameTo(basedir);
 						}
@@ -287,7 +287,7 @@
 				} catch (ThreadDeath td) {
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
-					System.out.println(NLS.bind(Messages.RunGroovyScript_8, e));
+					System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8, e));
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
 					if (!CQPEngine.isInitialized()) { // the import failed
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenGraph.java	(revision 513)
@@ -39,7 +39,7 @@
 import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.SVGGraphicEditor;
 import org.txm.rcp.editors.TXMWebBrowserEditor;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -147,7 +147,7 @@
 		else
 		{
 			if (!OpenURI.open(graphfile))
-				System.out.println(NLS.bind(Messages.OpenGraph_8, graphfile.getAbsolutePath()));
+				System.out.println(NLS.bind(RCPMessages.OpenGraph_8, graphfile.getAbsolutePath()));
 			return null;
 		}
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteScript.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteScript.java	(revision 513)
@@ -49,7 +49,7 @@
 import org.eclipse.ui.ide.FileStoreEditorInput;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TxtEditor;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -122,15 +122,15 @@
 				boolean doit = TXMPreferences.getBoolean(RCPPreferences.SAVE_BEFORE_EXECUTION, RCPPreferences.PREFERENCES_NODE);
 				//System.out.println("Save file? "+doit);
 				if (!doit) { // ask user
-					MessageDialog dialog = new MessageDialog(shell, Messages.ExecuteScript_0+result, null,
-							Messages.ExecuteScript_1, MessageDialog.QUESTION, new String[] {Messages.ExecuteScript_2, Messages.ExecuteScript_4,
-							Messages.ExecuteScript_5}, 0) {
+					MessageDialog dialog = new MessageDialog(shell, RCPMessages.ExecuteScript_0+result, null,
+							RCPMessages.ExecuteScript_1, MessageDialog.QUESTION, new String[] {RCPMessages.ExecuteScript_2, RCPMessages.ExecuteScript_4,
+							RCPMessages.ExecuteScript_5}, 0) {
 						Button checkDefault;
 						 @Override
 						  protected Control createDialogArea(Composite parent) {
 						    Composite container = (Composite) super.createDialogArea(parent);
 						    checkDefault = new Button(container, SWT.CHECK);
-						    checkDefault.setText(Messages.ExecuteScript_6);
+						    checkDefault.setText(RCPMessages.ExecuteScript_6);
 						    boolean b = TXMPreferences.getBoolean(RCPPreferences.SAVE_BEFORE_EXECUTION, RCPPreferences.PREFERENCES_NODE);
 						    checkDefault.setSelection(b);
 						    
@@ -150,7 +150,7 @@
 					};
 					int c = dialog.open();
 					if (c == 1) {
-						System.out.println(Messages.ExecuteScript_7);
+						System.out.println(RCPMessages.ExecuteScript_7);
 						return null;
 					} else if (c == 2) {
 						//System.out.println("Don't save and run.");
@@ -188,7 +188,7 @@
 			System.out.println("ExecuteScript with R not implemented");
 			//ExecuteRScript.executeScript(scriptpath);
 		} else {
-			System.out.println(Messages.ExecuteScript_3+script.getName());
+			System.out.println(RCPMessages.ExecuteScript_3+script.getName());
 		}
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteGroovyScript.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteGroovyScript.java	(revision 513)
@@ -60,7 +60,7 @@
 import org.osgi.framework.BundleContext;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TXMClassLoader;
 import org.txm.rcp.editors.TxtEditor;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -177,7 +177,7 @@
 		// check script
 		final File scriptfile = new File(scriptpath);
 		if (!scriptfile.exists()) {
-			System.err.println(NLS.bind(Messages.ExecuteScriptImport_1, scriptpath));
+			System.err.println(NLS.bind(RCPMessages.ExecuteScriptImport_1, scriptpath));
 			return;
 		}
 		ExecuteLastGroovyScript.setLastScript(scriptfile, currentRootDir.getName().equals("macro")); // register last groovy script //$NON-NLS-1$
@@ -206,7 +206,7 @@
 		String dir = currentRootDir.getAbsolutePath();
 		String path = scriptfile.getAbsolutePath();
 		if (!path.startsWith(dir)) {
-			System.out.println(Messages.bind(Messages.ExecuteGroovyScriptFromFile_2, dir));
+			System.out.println(RCPMessages.bind(RCPMessages.ExecuteGroovyScriptFromFile_2, dir));
 			return;
 		}
 		final String relativepath = path.substring(dir.length()+1);
@@ -219,12 +219,12 @@
 			}
 		}
 
-		JobHandler jobhandler = new JobHandler(NLS.bind(Messages.ExecuteRScript_1,scriptfile.getName())) {
+		JobHandler jobhandler = new JobHandler(NLS.bind(RCPMessages.ExecuteRScript_1,scriptfile.getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				//this.setCurrentMonitor(monitor);
-				monitor.beginTask(NLS.bind(Messages.ExecuteRScript_1, scriptfile.getName()), 100);
+				monitor.beginTask(NLS.bind(RCPMessages.ExecuteRScript_1, scriptfile.getName()), 100);
 
 				try {
 					Binding binding = new Binding();
@@ -236,21 +236,21 @@
 					binding.setProperty("monitor", this); //$NON-NLS-1$
 					binding.setProperty("gse", gse);
 					
-					System.out.println(NLS.bind(Messages.ExecuteRScript_1, scriptfile.getName()));
+					System.out.println(NLS.bind(RCPMessages.ExecuteRScript_1, scriptfile.getName()));
 					long time = System.currentTimeMillis();
 					gse.run(relativepath, binding);
 					
-					System.out.println(Messages.ExecuteRScript_2+(System.currentTimeMillis()-time)+Messages.ExecuteGroovyScript_0);
+					System.out.println(RCPMessages.ExecuteRScript_2+(System.currentTimeMillis()-time)+RCPMessages.ExecuteGroovyScript_0);
 				} catch (ThreadDeath td) {
 					return Status.CANCEL_STATUS;
 				} catch (UIParameterException e) {
 					if (e.isError()) {
-						System.out.println(Messages.ExecuteGroovyScript_1);
+						System.out.println(RCPMessages.ExecuteGroovyScript_1);
 					} else {
-						System.out.println(Messages.ExecuteGroovyScript_2);
+						System.out.println(RCPMessages.ExecuteGroovyScript_2);
 					}
 				} catch (Exception e) {
-					System.out.println(Messages.ExecuteGroovyScript_9+e);
+					System.out.println(RCPMessages.ExecuteGroovyScript_9+e);
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
 					monitor.done();			
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateFolder.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateFolder.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateFolder.java	(revision 513)
@@ -42,7 +42,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
@@ -99,7 +99,7 @@
 		LastOpened.set(ID, newfile.getParent(), newfile.getName());
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			if (newfile.mkdir())
-				System.out.println(NLS.bind(Messages.CreateFolder_1, newfile.getAbsolutePath()));
+				System.out.println(NLS.bind(RCPMessages.CreateFolder_1, newfile.getAbsolutePath()));
 
 		}
 		Explorer.refresh();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateFile.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CreateFile.java	(revision 513)
@@ -44,7 +44,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
@@ -108,7 +108,7 @@
 		if (!newfile.exists() && newfile.getParentFile().canWrite()) {
 			try {
 				if (newfile.createNewFile()) {
-					System.out.println(NLS.bind(Messages.CreateFile_1, newfile.getAbsolutePath()));
+					System.out.println(NLS.bind(RCPMessages.CreateFile_1, newfile.getAbsolutePath()));
 					//OpenFile.openfile(newfile);
 				}
 			} catch (IOException e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SaveAs.java	(revision 513)
@@ -39,7 +39,7 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.EditFile;
 import org.txm.rcp.editors.TxtEditor;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -89,7 +89,7 @@
 					EditFile.openfile(resultFile);
 					Explorer.refresh();
 				} catch (Exception e) {
-					System.out.println(Messages.SaveAs_2+resultFile+Messages.PasteFile_4+e);
+					System.out.println(RCPMessages.SaveAs_2+resultFile+RCPMessages.PasteFile_4+e);
 				}
 			}
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java	(revision 513)
@@ -36,7 +36,7 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.editors.text.IEncodingSupport;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TxtEditor;
 
 /**
@@ -68,7 +68,7 @@
 			if (currentEncoding == null) currentEncoding = defaultEncoding;
 			Shell sh = new Shell();
 			InputDialog dlg = new InputDialog(sh,
-					Messages.SetEncoding_0, Messages.SetEncoding_1+currentEncoding+Messages.SetEncoding_2+defaultEncoding, currentEncoding, null);
+					RCPMessages.SetEncoding_0, RCPMessages.SetEncoding_1+currentEncoding+RCPMessages.SetEncoding_2+defaultEncoding, currentEncoding, null);
 			if (dlg.open() == Window.OK) {
 				String newEncoding = dlg.getValue();
 				if (newEncoding != null && newEncoding.trim().length() > 0 && !newEncoding.trim().equals(currentEncoding)) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 513)
@@ -36,7 +36,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.SummaryView;
@@ -64,7 +64,7 @@
 			protected IStatus run(IProgressMonitor monitor) {
 				JobsTimer.start();
 				try {
-					monitor.beginTask(Messages.RestartTXM_1, 100);
+					monitor.beginTask(RCPMessages.RestartTXM_1, 100);
 					//Toolbox.updateProperties(TxmPreferences.getProperties());
 					Toolbox.restart();
 
@@ -77,7 +77,7 @@
 					});
 
 				} catch (Exception e) {
-					System.out.println(NLS.bind(Messages.RunGroovyScript_8, e));
+					System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8, e));
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
 					monitor.done();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteGroovyText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteGroovyText.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExecuteGroovyText.java	(revision 513)
@@ -53,7 +53,7 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.Application;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TxtEditor;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -106,7 +106,7 @@
 	 */
 	public static Object executeText(final String text, final String scriptfile) {
 		if (!new File(scriptfile).exists()) {
-			System.err.println(NLS.bind(Messages.ExecuteScriptImport_1,
+			System.err.println(NLS.bind(RCPMessages.ExecuteScriptImport_1,
 					scriptfile));
 			return null;
 		}
@@ -159,7 +159,7 @@
 					long time = System.currentTimeMillis();
 					shell.evaluate(text);
 					System.out
-							.println("Done: " + (System.currentTimeMillis() - time) + Messages.ExecuteRScript_3); //$NON-NLS-1$
+							.println("Done: " + (System.currentTimeMillis() - time) + RCPMessages.ExecuteRScript_3); //$NON-NLS-1$
 				} catch (ThreadDeath td) { 
 					return Status.CANCEL_STATUS;
 				} catch (CompilationFailedException e) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 513)
@@ -18,7 +18,7 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.importer.Convert5To6;
 import org.txm.objects.Base;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.RestartTXM;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.utils.DeleteDir;
@@ -55,11 +55,11 @@
 
 						Base base = LoadBinaryCorpus.loadBinaryCorpus(outdir);
 						if (base == null) {
-							System.out.println(Messages.ConvertCorpus_0);
+							System.out.println(RCPMessages.ConvertCorpus_0);
 							return Status.CANCEL_STATUS;
 						}
 					} catch (Throwable e) {
-						System.out.println(NLS.bind(Messages.RunGroovyScript_8,
+						System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8,
 								e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					} finally {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/AddProject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/AddProject.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/AddProject.java	(revision 513)
@@ -27,7 +27,7 @@
 //
 package org.txm.rcp.commands.workspace;
 
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.views.BasesView;
 
 import java.util.Iterator;
@@ -72,7 +72,7 @@
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
 				.getShell();
 		InputDialog dlg = new InputDialog(shell,
-				"", Messages.AddProject_3, name, null); //$NON-NLS-1$
+				"", RCPMessages.AddProject_3, name, null); //$NON-NLS-1$
 		if (dlg.open() == Window.OK) {
 			// User clicked OK; update the label with the input
 			name = dlg.getValue();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 512)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 513)
@@ -50,7 +50,7 @@
 import org.txm.objects.Base;
 import org.txm.objects.Project;
 import org.txm.objects.Workspace;
-import org.txm.rcp.Messages;
+import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.RestartTXM;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -105,16 +105,16 @@
 	}
 
 	private void restoreCorpus(File backup, File basedir) {
-		System.out.println(Messages.LoadBinaryCorpus_10+basedir.getName()+Messages.LoadBinaryCorpus_11);
+		System.out.println(RCPMessages.LoadBinaryCorpus_10+basedir.getName()+RCPMessages.LoadBinaryCorpus_11);
 		if (backup.exists()) {
-			System.out.println(Messages.LoadBinaryCorpus_12);
+			System.out.println(RCPMessages.LoadBinaryCorpus_12);
 			DeleteDir.deleteDirectory(basedir);
 			if (basedir.exists()) {
-				System.out.println(Messages.LoadBinaryCorpus_13+basedir+Messages.LoadBinaryCorpus_14+backup);
+				System.out.println(RCPMessages.LoadBinaryCorpus_13+basedir+RCPMessages.LoadBinaryCorpus_14+backup);
 				return;
 			}
 			if (!backup.renameTo(basedir)) {
-				System.out.println(Messages.LoadBinaryCorpus_15+backup);
+				System.out.println(RCPMessages.LoadBinaryCorpus_15+backup);
 				return;
 			}
 			org.txm.Toolbox.restartWorkspace();
@@ -138,13 +138,13 @@
 		corporaDir.mkdir();
 
 		if (!filename.endsWith(".txm") && !filename.endsWith(".zip")) { //$NON-NLS-1$ //$NON-NLS-2$
-			System.out.println(Messages.AddBase_25);
-			System.out.println(NLS.bind(Messages.AddBase_22, zipFile));
+			System.out.println(RCPMessages.AddBase_25);
+			System.out.println(NLS.bind(RCPMessages.AddBase_22, zipFile));
 			return false;
 		}
 
 		if (!zipFile.canRead()) {
-			System.out.println(NLS.bind(Messages.AddBase_17, zipFile));
+			System.out.println(NLS.bind(RCPMessages.AddBase_17, zipFile));
 			return false;
 		}
 
@@ -153,7 +153,7 @@
 		corpusdir = new File(corporaDir, basedirname);
 
 		if (corpusdir.exists()) {
-			boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), Messages.AddBase_19, NLS.bind(Messages.AddBase_20, corpusdir.getName().toUpperCase()));
+			boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), RCPMessages.AddBase_19, NLS.bind(RCPMessages.AddBase_20, corpusdir.getName().toUpperCase()));
 			if (b) {
 				//TODO: to enable backup of binary corpus I need to be able to reload correctly a corpus in CQP corpus manager
 //				backup = new File(corpusdir.getParentFile(), corpusdir.getName()+"-back"); //$NON-NLS-1$
@@ -178,33 +178,33 @@
 
 		// scan dir
 		JobHandler jobhandler = new JobHandler(
-				NLS.bind(Messages.AddBase_1, corpusdir.getName())) {
+				NLS.bind(RCPMessages.AddBase_1, corpusdir.getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
 					//ZIPPED FILE
-					monitor.beginTask(Messages.AddBase_27, 100);
-					monitor.subTask(Messages.AddBase_28);
+					monitor.beginTask(RCPMessages.AddBase_27, 100);
+					monitor.subTask(RCPMessages.AddBase_28);
 					try {
 						//System.out.println(NLS.bind(Messages.AddBase_29, zipFile, corporaDir));
 						Zip.decompress(zipFile.getAbsolutePath(), corporaDir.getAbsolutePath(), false, this);
 					} catch (Exception e) {
-						System.out.println(NLS.bind(Messages.AddBase_31, e));
+						System.out.println(NLS.bind(RCPMessages.AddBase_31, e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					}
 					monitor.worked(50);
 
-					monitor.subTask(Messages.AddBase_32);
+					monitor.subTask(RCPMessages.AddBase_32);
 					Base base = loadBinaryCorpus(new File(corporaDir, basedirname));
 					if (base == null) {
-						System.out.println(Messages.AddBase_4);
+						System.out.println(RCPMessages.AddBase_4);
 						return Status.CANCEL_STATUS;
 					}
 					//System.out.println("fin load base");
 					monitor.worked(40);
-					monitor.subTask(Messages.AddBase_33);
+					monitor.subTask(RCPMessages.AddBase_33);
 
 					this.acquireSemaphore();
 					//Toolbox.updateProperties(ApplicationWorkbenchAdvisor.getProperties());
@@ -214,7 +214,7 @@
 
 					final Base base2 = Toolbox.workspace.getDefaultProject().getBase(base.getName()); //$NON-NLS-1$
 					if (base2 == null) {
-						System.out.println(Messages.LoadBinaryCorpus_4);
+						System.out.println(RCPMessages.LoadBinaryCorpus_4);
 						return null;
 					}
 
@@ -250,8 +250,8 @@
 							RestartTXM.reloadViews();
 							//System.out.println("Select newly loaded corpus: "+base2.getCorpora().values());
 							CorporaView.select(base2.getResults(MainCorpus.class));
-							System.err.println(Messages.AddBase_10);
-							StatusLine.setMessage(Messages.AddBase_10);
+							System.err.println(RCPMessages.AddBase_10);
+							StatusLine.setMessage(RCPMessages.AddBase_10);
 						}
 					});
 				} catch (ThreadDeath td) { 
@@ -285,8 +285,8 @@
 	 */
 	public static Base loadBinaryCorpus(File binCorpusDirectory) throws Exception {
 		if (!(binCorpusDirectory.exists() && binCorpusDirectory.isDirectory())) {
-			Log.severe(NLS.bind(Messages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
-			System.out.println(NLS.bind(Messages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
+			Log.severe(NLS.bind(RCPMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
+			System.out.println(NLS.bind(RCPMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
 			return null; 
 		}
 
@@ -297,17 +297,17 @@
 
 		Workspace w = org.txm.Toolbox.workspace;
 		if (w == null) {
-			System.out.println(Messages.AddBase_34);
+			System.out.println(RCPMessages.AddBase_34);
 			return null;
 		}
 		Project p = w.getProject("default"); //$NON-NLS-1$
 		if (p == null) {
-			System.out.println(Messages.AddBase_34);
+			System.out.println(RCPMessages.AddBase_34);
 			return null;
 		}
 		Base base = p.scanDirectory(binCorpusDirectory);
 		if (base == null) {
-			Log.severe(NLS.bind(Messages.AddBase_2, binCorpusDirectory)); 
+			Log.severe(NLS.bind(RCPMessages.AddBase_2, binCorpusDirectory)); 
 			return null;
 		}
 
